cpw.mods.fml.relauncher

## Enum Side

- java.lang.Object
- - java.lang.Enum<Side>
  - - cpw.mods.fml.relauncher.Side

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Side>

      public enum Side
      extends java.lang.Enum<Side>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT`
    `SERVER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isClient()`
    `boolean` | `isServer()`
    `static Side` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Side[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIENT

          public static final Side CLIENT

    - #### SERVER

          public static final Side SERVER

  - ### Method Detail

    - #### values

          public static Side[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Side c : Side.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Side valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isServer

          public boolean isServer()

    - #### isClient

          public boolean isClient()